# Copyright (c) 2007 SIEGE Development Team
# All rights reserved.
#
# This file is part of libSIEGE.
#
# This software is copyrighted work licensed under the terms of the
# 2-clause BSD license. Please consult the file "license.txt" for
# details.
#
# If you did not recieve the file with this program, please email
# Tim Chas <darkuranium@gmail.com>.

from siege.common cimport *

cdef extern from "siege/graphics/font.h":
    struct SGCharInfo:
        #SGTexture* texture
        
        float width
        float height
        
        SGuint dwidth
        SGuint dheight
        
        float xpre
        float ypre
        
        float xpost
        float ypost
    
    struct SGFont:
        void* handle
        char* fname
        float height
        
        SGuint numchars
        SGCharInfo* chars
        
        SGuint numcache
        SGdchar* cachechars
        SGCharInfo* cache
    
    SGFont* sgFontCreate(char* fname, float height, SGuint preload)
    void sgFontDestroy(SGFont* font)
    
    SGFont* sgFontResizeCopy(SGFont* font, float height)
    SGFont* sgFontResize(SGFont* font, float height)
    
    void sgFontPrint(SGFont* font, float x, float y, char* text)
    void sgFontPrintCentered(SGFont* font, float x, float y, char* text)
    void sgFontPrintXCentered(SGFont* font, float x, float y, char* text)
    void sgFontPrintYCentered(SGFont* font, float x, float y, char* text)
    
    void sgFontStrSize(SGFont* font, float* x, float* y, char* text)
